---
search:
  tags:
    - Volume Discounts
    - POST
seo:
  description: >-
    Creates a new volume discount for a shop. Volume discounts automatically
    apply tiered… Reference for the POST /volume_discounts endpoint in the
    Bolder API v2.
sidebar:
  label: Create a volume discount
  badge: POST
title: Create a volume discount
type: openapi-operation
---
Creates a new volume discount for a shop. Volume discounts automatically
apply tiered pricing when a customer orders above a unit threshold.
`shop_id` is required in the body.

`POST /volume_discounts`

**Request body** (`application/json`, required)

- `shop_id` (integer, required) — ID of the shop to create the volume discount in
- `name` (string, required)
- `discount_type` (string) — Discount type.
- `cumulative_mode` (string) — Omit for non-cumulative
- `apply_on_tier_start_only` (boolean)
- `tiers` (object[], required)

Request body example:

```json
{
  "shop_id": 1,
  "name": "Buy 5+ get 10% off",
  "discount_type": "percentage",
  "tiers": [
    {
      "from": 5,
      "value": 10
    },
    {
      "from": 10,
      "value": 15
    },
    {
      "from": 20,
      "value": 20
    }
  ]
}
```

**Responses**

- `201` — Volume discount created
- `422` — Validation error

Response example, 201:

```json
{
  "id": 30,
  "name": "Buy 5+ get 10% off",
  "discount_type": "percentage",
  "tiers": {
    "5": 10,
    "10": 15,
    "20": 20
  },
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/volume_discounts/30"
    }
  }
}
```
